Album: Requiem for a Homestuck
Artists:
- James Roach
Date: March 3, 2023
Date Added: March 5, 2023
URLs:
- https://www.youtube.com/watch?v=ibsNl-l6uZA
- https://open.spotify.com/album/4yVXcIvsUgGF3jKFSUXqfH
- https://music.apple.com/album/requiem-for-a-homestuck-requiem-cafe-single/1677037750
- https://music.wixstatic.com/preview/092df5_c949c89f59a842ac973e8c3381cce490-128.mp3
Cover Artists:
- Heather Hermann
Cover Art File Extension: png
Wallpaper Artists:
- Heather Hermann
Wallpaper Style: |-
    opacity: 1;
    background-repeat: repeat;
    background-size: auto;
Color: '#62c700'
Groups:
- James Roach
- group:official
Art Tags:
- Gate
Commentary: |-
    <i>Requiem Cafe:</i>
    <b><u>Remember Your Roots</b></u><br>
    Step back in time 10 years. Obama has started his second term, Snoop Dogg just shared some <i>interesting</i> fan art, and Homestuck is breaking the internet with fans eagerly awaiting an update. Feeling nostalgic yet?

    Break out the gray paint because this 4/13 Homestuck and VIZ Media are teaming up with Requiem Cafe to bring you back in time for a 4/13 party unlike any other. You're invited to come to Requiem cafe, located in Anaheim CA, to experience themed drinks, treats, cosplay photo ops, and new licensed merch with official never-before-seen art. Measure up to your favorite characters in our photo room with a life-size height chart and experience Homestuck all over again in way you only can at Requiem.
---
Track: Requiem for a Homestuck
Duration: '2:07'
URLs:
- https://www.youtube.com/watch?v=ibsNl-l6uZA
- https://open.spotify.com/track/5wnF4bWr2NlYF0IvqzKxyW
- https://music.apple.com/album/requiem-for-a-homestuck-requiem-cafe/1677037750?i=1677037751
- https://music.wixstatic.com/preview/092df5_c949c89f59a842ac973e8c3381cce490-128.mp3
